﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;
using Business;
using Persistance;

namespace WpfApp1
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        public static IPersistanceManager strat { get; private set; }
            = new DataContractPersistance();
        public static IPersistanceManager stubtruc { get; set; }
            = new StubLib.Stub();
        public Manager LeManager { get; private set; } = new Manager(strat);
        public ManagerUsers LeManagerUsers { get; private set; } = new ManagerUsers(strat);

        public App()
        {
            var dataReq = strat.LoadRequins();
            var dataUsers = strat.LoadUsers();
            var users = dataUsers.users;
            var experts = dataUsers.experts;
            var requins = dataReq.reqs;
            var requinsAdd = dataReq.reqsAdd;
            var requinsEdit = dataReq.reqsEdit;

            strat.SaveRequins(requins, requinsAdd, requinsEdit);
            strat.SaveUsers(users, experts);
        }

        public void Temp()
        {
            var mw = MainWindow as MainWindow;
        }

    }
}
